classification
Title: Mention in the devguide that core dev stuff falls under the PSF CoC
Type: enhancement Stage: resolved
Components: Devguide Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: Evelyn Mitchell, berker.peksag, brett.cannon, ezio.melotti, python-dev, vstinner, willingc
Priority: normal Keywords: easy

Created on 2016-02-26 19:24 by brett.cannon, last changed 2016-07-14 04:54 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
patchCoreCoC Evelyn Mitchell, 2016-06-08 03:23
patchCoreDevCoC Evelyn Mitchell, 2016-06-08 03:46
Messages (12)
msg260907 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-02-26 19:24
It should be mentioned in the devguide that receiving one's core developer privileges includes following the PSF CoC (https://www.python.org/psf/codeofconduct/).
msg260983 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-02-28 19:04
Discussion of this change: https://mail.python.org/pipermail/python-committers/2016-February/003750.html
msg261091 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-03-01 22:50
The discussion seems to have gone in the direction of putting all core-controlled stuff under the CoC. So the devguide will mention this is the policy.
msg261203 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-03-05 00:11
The PSF board passed a resolution in January 2014 that all web-related stuff falls under the CoC: https://www.python.org/psf/records/board/minutes/2014-01-06/#management-of-the-psfs-web-properties. I'm still pushing to get the CoC mentioned in the devguide but I've given up on pushing to explicitly state it for python-dev, bugs.python.org, or anywhere else.
msg264032 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-04-22 23:29
The python-dev thread more-or-less petered out w/ the basic agreement that adding a short mention in the devguide would be tolerable. When I have a chance I will add a very short mention at the end of the opening page.
msg267767 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-06-08 03:35
Thanks for the patch Evelyn. The patch looks good to me. I have a couple of suggestions:

1. It seems like https://docs.python.org/devguide/coredev.html#responsibilities is a better place to put this

2. Core committers -> Core developers

3. PSF CoC -> PSF Code of Conduct

4. Could you also link "PSF Code of Conduct" to https://www.python.org/psf/codeofconduct/ ? I always need to look at the Sphinx docs but we need to make it look like

     `Spam eggs <https://python.org>`_
msg267772 - (view) Author: Evelyn Mitchell (Evelyn Mitchell) * (Python triager) Date: 2016-06-08 03:46
Thank you for your help Berker.
msg267872 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-06-08 16:49
Thanks for the patch, Evelyn! The latest one LGTM and I will commit it when I have time.

I do still plan to add a subsection at the bottom of the index page mentioning the CoC so it's in a very visible location.
msg270270 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2016-07-12 22:09
Brett: "Thanks for the patch, Evelyn! The latest one LGTM and I will commit it when I have time."

Ok, so are you going to push it?
msg270274 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-07-12 23:03
I figured Berker was/had when he did the review, but I can take care of it when I get around to it (prioritizing 3.6 features ATM).
msg270369 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-07-14 04:52
New changeset 6b4b73ebb054 by Berker Peksag in branch 'default':
Issue #26446: Mention PSF CoC in core developer responsibilities
https://hg.python.org/devguide/rev/6b4b73ebb054
msg270370 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-07-14 04:54
Sorry, I finally found some time to clear my CPython TODO list. Thanks for the patch, Evelyn!
History
Date User Action Args
2016-07-14 04:54:31berker.peksagsetstatus: open -> closed
resolution: fixed
messages: + msg270370

stage: patch review -> resolved
2016-07-14 04:52:48python-devsetnosy: + python-dev
messages: + msg270369
2016-07-12 23:03:17brett.cannonsetmessages: + msg270274
2016-07-12 22:09:32vstinnersetnosy: + vstinner
messages: + msg270270
2016-06-08 16:49:13brett.cannonsetmessages: + msg267872
2016-06-08 03:46:28Evelyn Mitchellsetfiles: + patchCoreDevCoC
nosy: + Evelyn Mitchell
messages: + msg267772

2016-06-08 03:35:41berker.peksagsetnosy: + berker.peksag

messages: + msg267767
stage: needs patch -> patch review
2016-06-08 03:23:48Evelyn Mitchellsetfiles: + patchCoreCoC
2016-04-22 23:29:12brett.cannonsetmessages: + msg264032
2016-04-22 23:28:05brett.cannonsetassignee: brett.cannon
2016-03-05 00:11:28brett.cannonsetmessages: + msg261203
2016-03-01 22:50:40brett.cannonsetmessages: + msg261091
title: Mention in the devguide that core devs are expected to follow the PSF CoC -> Mention in the devguide that core dev stuff falls under the PSF CoC
2016-02-28 19:04:15brett.cannonsetmessages: + msg260983
2016-02-26 20:53:24ezio.melottisetkeywords: + easy
type: enhancement
2016-02-26 19:24:27brett.cannoncreate